
if TimeVal < StartResting   % Resting
    set(fig.musclemovement1,'String','Resting')
    set(fig.Dont,'Visible','on')
    
elseif (TimeVal>=StartResting) && (TimeVal<StartResting+EachSet)   % Biceps Contraction     
    if TimeVal<StartResting+RestingSet
        set(fig.musclemovement1,'String','Biceps')
        set(fig.musclemovement1,'ForegroundColor',[1 0 0])
        set(fig.Do,'Visible','off')
        set(fig.Dont,'Visible','on') 
        GetTime = StartResting+RestingSet;
    else
        if PatDo == 1
            if (TimeVal>=GetTime) && (TimeVal<GetTime+ContractPeriod)
                set(fig.Dont,'Visible','off')
                set(fig.Do,'Visible','on')
            else
                set(fig.Dont,'Visible','on')
                set(fig.Do,'Visible','off')
                PatDo = 0;
                GetTime = GetTime+ContractPeriod;
            end
        elseif PatDo == 0
            if (TimeVal>=GetTime) && (TimeVal<GetTime+RelaxPeriod)
                set(fig.Dont,'Visible','on')
                set(fig.Do,'Visible','off')
            else
                set(fig.Dont,'Visible','off')
                set(fig.Do,'Visible','on')
                PatDo = 1;
                GetTime = GetTime+RelaxPeriod;
            end
        end
    end
   
elseif (TimeVal>=StartResting+EachSet)   && (TimeVal<StartResting+EachSet*2)    % Shoulder Elevation
    if TimeVal<StartResting+EachSet+RestingSet
        set(fig.musclemovement1,'String','Shoulder')
        set(fig.musclemovement1,'ForegroundColor',[0 0 1])
        set(fig.musclemovement2,'Visible','on')
        set(fig.musclemovement2,'String','Elevation')
        set(fig.musclemovement2,'ForegroundColor',[0 0 1])
        set(fig.Do,'Visible','off')
        set(fig.Dont,'Visible','on') 
        GetTime = StartResting+EachSet+RestingSet;
        PatDo = 1;
    else
        if PatDo == 1
            if (TimeVal>=GetTime) && (TimeVal<GetTime+ContractPeriod)
                set(fig.Dont,'Visible','off')
                set(fig.Do,'Visible','on')
            else
                set(fig.Dont,'Visible','on')
                set(fig.Do,'Visible','off')
                PatDo = 0;
                GetTime = GetTime+ContractPeriod;
            end
        elseif PatDo == 0
            if (TimeVal>=GetTime) && (TimeVal<GetTime+RelaxPeriod)
                set(fig.Dont,'Visible','on')
                set(fig.Do,'Visible','off')
            else
                set(fig.Dont,'Visible','off')
                set(fig.Do,'Visible','on')
                PatDo = 1;
                GetTime = GetTime+RelaxPeriod;
            end
        end
    end

elseif (TimeVal>=StartResting+EachSet*2) && (TimeVal<StartResting+EachSet*3)    % Shoulder Protraction
    if TimeVal<StartResting+EachSet*2+RestingSet
        set(fig.musclemovement1,'ForegroundColor',[1 0 0])
        set(fig.musclemovement2,'String','Protraction')
        set(fig.musclemovement2,'ForegroundColor',[1 0 0])
        set(fig.Do,'Visible','off')
        set(fig.Dont,'Visible','on')
        GetTime = StartResting+EachSet*2+RestingSet;        
        PatDo = 1;
    else
        if PatDo == 1
            if (TimeVal>=GetTime) && (TimeVal<GetTime+ContractPeriod)
                set(fig.Dont,'Visible','off')
                set(fig.Do,'Visible','on')
            else
                set(fig.Dont,'Visible','on')
                set(fig.Do,'Visible','off')
                PatDo = 0;
                GetTime = GetTime+ContractPeriod;
            end
        elseif PatDo == 0
            if (TimeVal>=GetTime) && (TimeVal<GetTime+RelaxPeriod)
                set(fig.Dont,'Visible','on')
                set(fig.Do,'Visible','off')
            else
                set(fig.Dont,'Visible','off')
                set(fig.Do,'Visible','on')
                PatDo = 1;
                GetTime = GetTime+RelaxPeriod;
            end
        end
    end
    
elseif (TimeVal>=StartResting+EachSet*3) && (TimeVal<StartResting+EachSet*4)    % Shoulder Retraction
    if TimeVal<StartResting+EachSet*3+RestingSet
        set(fig.musclemovement1,'ForegroundColor',[0 0 1])
        set(fig.musclemovement2,'String','Retraction')
        set(fig.musclemovement2,'ForegroundColor',[0 0 1])
        set(fig.Do,'Visible','off')
        set(fig.Dont,'Visible','on')
        GetTime = StartResting+EachSet*3+RestingSet;
        PatDo = 1;
    else
        if PatDo == 1
            if (TimeVal>=GetTime) && (TimeVal<GetTime+ContractPeriod)
                set(fig.Dont,'Visible','off')
                set(fig.Do,'Visible','on')
            else
                set(fig.Dont,'Visible','on')
                set(fig.Do,'Visible','off')
                PatDo = 0;
                GetTime = GetTime+ContractPeriod;
            end
        elseif PatDo == 0
            if (TimeVal>=GetTime) && (TimeVal<GetTime+RelaxPeriod)
                set(fig.Dont,'Visible','on')
                set(fig.Do,'Visible','off')
            else
                set(fig.Dont,'Visible','off')
                set(fig.Do,'Visible','on')
                PatDo = 1;
                GetTime = GetTime+RelaxPeriod;
            end
        end
    end
    
elseif (TimeVal>=StartResting+EachSet*4) && (TimeVal<StartResting+EachSet*5)    % Triceps Contraction
    if TimeVal<StartResting+EachSet*4+RestingSet
        set(fig.musclemovement1,'String','Triceps')
        set(fig.musclemovement1,'ForegroundColor',[1 0 0])
        set(fig.musclemovement2,'Visible','off')
        set(fig.Do,'Visible','off')
        set(fig.Dont,'Visible','on')
        GetTime = StartResting+EachSet*4+RestingSet;
        PatDo = 1;
    else
        if PatDo == 1
            if (TimeVal>=GetTime) && (TimeVal<GetTime+ContractPeriod)
                set(fig.Dont,'Visible','off')
                set(fig.Do,'Visible','on')
            else
                set(fig.Dont,'Visible','on')
                set(fig.Do,'Visible','off')
                PatDo = 0;
                GetTime = GetTime+ContractPeriod;
            end
        elseif PatDo == 0
            if (TimeVal>=GetTime) && (TimeVal<GetTime+RelaxPeriod)
                set(fig.Dont,'Visible','on')
                set(fig.Do,'Visible','off')
            else
                set(fig.Dont,'Visible','off')
                set(fig.Do,'Visible','on')
                PatDo = 1;
                GetTime = GetTime+RelaxPeriod;
            end
        end
    end      
end
