% Read and save training data set 

%%
GetI(1) = StartResting;
GetI(2) = GetI(1)+EachSet;
GetI(3) = GetI(2)+EachSet;
GetI(4) = GetI(3)+EachSet;
GetI(5) = GetI(4)+EachSet;
%%
for i = 1:TimePerSet
    if i == 1
        Green(i,1) = GetI(1)+RestingSet;
    else
        Green(i,1) = Green(i-1,1)+ContractPeriod+RelaxPeriod;
    end  
end

for i = TimePerSet+1:TimePerSet*2
    if i == TimePerSet+1
        Green(i,1) = GetI(2)+RestingSet;
    else
        Green(i,1) = Green(i-1,1)+ContractPeriod+RelaxPeriod;
    end 
end

for i = TimePerSet*2+1:TimePerSet*3
    if i == TimePerSet*2+1
        Green(i,1) = GetI(3)+RestingSet;
    else
        Green(i,1) = Green(i-1,1)+ContractPeriod+RelaxPeriod;
    end 
end

for i = TimePerSet*3+1:TimePerSet*4
    if i == TimePerSet*3+1
        Green(i,1) = GetI(4)+RestingSet;
    else
        Green(i,1) = Green(i-1,1)+ContractPeriod+RelaxPeriod;
    end 
end

for i = TimePerSet*4+1:TimePerSet*5
    if i == TimePerSet*4+1
        Green(i,1) = GetI(5)+RestingSet;
    else
        Green(i,1) = Green(i-1,1)+ContractPeriod+RelaxPeriod;
    end 
end

%%
num = 1;
for i = 1:5*TimePerSet
    for num = num:size(fulldata,1)
        if num >= Green(i,1)
            fulldata(num,ch+1) = 1;            
            break;
        end
    end
end

num = 1;
for i = 1:5
    for num = num:size(fulldata,1)
        if num >= GetI(i)
            startI(i) = num;            
            break;
        end
    end
end
%% Separate types of movements

data6(:,:) = fulldata(2:startI(1),:);
data1(:,:) = fulldata(startI(1)+1:startI(2),:);
data2(:,:) = fulldata(startI(2)+1:startI(3),:);
data3(:,:) = fulldata(startI(3)+1:startI(4),:);
data4(:,:) = fulldata(startI(4)+1:startI(5),:);
data5(:,:) = fulldata(startI(5)+1:end,:);
    
save(['../Full Program/Data/' name '.mat'], 'data1','data2','data3','data4','data5','data6','fulldata');
%% Set GUI window
set(fig.Eth1,'Enable','on');
set(fig.Eth2,'Enable','on');
set(fig.Eth3,'Enable','on');
set(fig.Eth4,'Enable','on');
set(fig.Eth5,'Enable','on');
set(fig.EPropLDA,'Enable','on');

set(fig.Movement1,'Visible','on')
set(fig.Movement2,'Visible','on')
set(fig.Movement3,'Visible','on')
set(fig.Movement4,'Visible','on')
set(fig.Movement5,'Visible','on')

set(fig.EMovement1,'Visible','on');
set(fig.EMovement2,'Visible','on');
set(fig.EMovement3,'Visible','on');
set(fig.EMovement4,'Visible','on');
set(fig.EMovement5,'Visible','on');

set(fig.Name1,'String','Bionic Arm')

disp('Calibration Complete!')

