%% Changing the method for classification

Method = get(fig.BMethod,'Value');  % Get the method from GUI

if CheckMethod ~= Method
    PressButton = true;
    CheckMethod = Method; 
elseif CheckMethod == Method
    PressButton = false; 
    if CheckMethod==1
        [command_gui,classed,v,w,x,y,z] = practiceLDA_2Cat(offset1,v,w,x,y,z,tdata,classed,dataseg);
        plottype = 2;
    elseif CheckMethod==2
        [command_gui,maxf,classed,v,w,x,y,z] = practiceLDA_Bounds(maxf,tdata,v,w,x,y,z,classed,dataseg);
        plottype = 1;
    elseif CheckMethod==3
        [command_gui,classed,v,w,x,y,z] = practiceLDA(offset1,Prob_LDA,tdata,v,w,x,y,z,classed,dataseg);
        plottype = 2;
        set(fig.EPropLDA,'String',Prob_LDA,'Enable','on')
    end
    
    if ModeTest==2
        startPlot;
    end
end
%% 
if PressButton == true
    if CheckMethod==1
        load(['Train2Cat' name(8:end) '.mat'])
    elseif CheckMethod==2
        load(['TrainBounds' name(8:end) '.mat'])
    elseif CheckMethod==3
        load(['TrainLDA' name(8:end) '.mat'])
    elseif CheckMethod==4
        load(['TrainEuclid' name(8:end) '.mat'])
    end
end
